%define modname moksha.common

Name:           python-moksha-common
Version:        1.2.5
Release:        %mkrel 4
Summary:        Common components for Moksha

Group:          Development/Python
License:        ASL 2.0 or MIT
URL:            http://pypi.python.org/pypi/moksha.common
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-decorator
BuildRequires:  python3-kitchen
BuildRequires:  python3-pytz
BuildRequires:  python3-six

%description
Common components for Moksha.

%package -n python3-moksha-common
Summary:        Common components for Moksha
Group:          Development/Python
%{?python_provide:%python_provide python3-%{modname}}
%{?python_provide:%python_provide python3-moksha-common}

%description -n python3-moksha-common
Common components for Moksha.

%prep
%setup -q -n %{modname}-%{version}
rm -rf *.egg*

%build
%py3_build


%install
%py3_install

%check
%{__python3} setup.py test


%files -n python3-moksha-common
%doc README COPYING AUTHORS
%{python3_sitelib}/moksha/
%{python3_sitelib}/%{modname}-%{version}*
%{_bindir}/moksha


%changelog
* Mon Jan 11 2021 wally <wally> 1.2.5-4.mga8
+ Revision: 1671117
- provide and obsolete old python-moksha-common

* Sun Feb 16 2020 umeabot <umeabot> 1.2.5-3.mga8
+ Revision: 1533049
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.2.5-2.mga8
+ Revision: 1443262
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.2.5-1.mga7
+ Revision: 1353359
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.4-4.mga7
+ Revision: 1289195
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.4-3.mga7
+ Revision: 1135499
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.2.4-2.mga6
+ Revision: 972473
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 1.2.4-1.mga6
+ Revision: 898882
- update to 1.2.4, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-4.mga5
+ Revision: 742459
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.3-3.mga5
+ Revision: 729091
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-2.mga5
+ Revision: 688157
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 1.2.3-1.mga5
+ Revision: 638994
- update to 1.2.3
+ pterjan <pterjan>
- Rebuild for new Python

* Sat Feb 22 2014 philippem <philippem> 1.2.1-1.mga5
+ Revision: 595631
- imported package python-moksha-common

